import {
  dictionaryMix,
  formConfigMix,
  mixTableConfig,
  mixTableConstants,
  pageInitMix,
} from "@/comps/mixin/common-mixins";

const CmsMultipleMagnifierMinix = {
  mixins: [ dictionaryMix, formConfigMix, mixTableConfig, mixTableConstants, pageInitMix ],
  data() {
    return {}
  },
  methods: {
    search: function () {
      this.$refs['magnifierRef'].reload();
    },
  },
  computed: {
    inputValue: {
      get() {
        return this.value
      },
      set(value) {
        this.$emit('input', value);
      }
    },
  },
  props: {
    placeholder: String,
    value: [ String ],
    formModel: {
      type: Object,
      default: {}
    },
    constants: {
      type: Object,
      default: () => {
        return {}
      }
    },
    /* 数据字典配置 */
    dictionaryConfig: {
      type: Array,
      default: () => {
        return []
      }
    },
    /* 是否禁用 */
    disabled: Boolean,
  }
}

export { CmsMultipleMagnifierMinix }
